Bug 972649 - Postfix status shows master dead but pid file exists [NEEDINFO]
Postfix status shows master dead but pid file exists
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: postfix (Show other bugs)
6.2
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Jaroslav Škarvada
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 06:39 EDT by jayanta.ghosh
Modified: 2016-07-27 18:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 18:21:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jskarvad: needinfo? (jayanta.ghosh)


Attachments (Terms of Use)

  None (edit)
Description jayanta.ghosh 2013-06-10 06:39:09 EDT
Description of problem:
The problem is that after staring the postfix service, the service stops running after sometime and the status of the postfix shows the following error message

master dead but pid file exists 

Version-Release number of selected component (if applicable):
2.6.6-2.2.el6_1

How reproducible:
The problem is occuring intermittently.

Steps to Reproduce:
1. Start the postfix service.
2.Wait for about half an hour and the postfix status will show the above-mentioned error.
3.

Actual results:

The postfix master should be running and showing its pid.
Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 19:29:32 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Jaroslav Škarvada 2014-12-01 09:13:01 EST
(In reply to jayanta.ghosh from comment #0)

Thanks for the report.

> Description of problem:
> The problem is that after staring the postfix service, the service stops
> running after sometime and the status of the postfix shows the following
> error message
> 
> master dead but pid file exists 
> 
It's very probably because the postfix daemon crashed or was killed by other process (e.g. by oomkiller because of consuming a lot of memory).

Could you check the logs and try to find any pointer why it crashed?

I am unable to reproduce the problem on my test systems. Postfix runs for weeks without problem there. I haven't received any other report regarding this issue.

Also please check with the postfix-2.6.6-6.el6_5 and let me know whether it is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.